$ErrorActionPreference = 'Stop'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  FileFullPath  = Join-Path $toolsDir "cloudflared.exe"

  url           = 'https://github.com/cloudflare/cloudflared/releases/download/2024.2.0/cloudflared-windows-386.exe'
  url64bit      = 'https://github.com/cloudflare/cloudflared/releases/download/2024.2.0/cloudflared-windows-amd64.exe'

  checksum      = 'd5e83ef8f02b48512fdc115d14573b7514fcbe2a949a34a6105e7c926a00571d'
  checksumType  = 'sha256'
  checksum64    = 'a552e335031207e5ef4e1ed831e2e38f287e47253c1f4ec01ad290851a272e3f'
  checksumType64= 'sha256'
}

Get-ChocolateyWebFile @packageArgs
